--**********************
--  EHSD
--  GYRO PAGE
--**********************

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/EHSD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(mpcd_path.."Global/EHSD_MAP_VIDEO.lua")
dofile(mpcd_path.."Global/EHSD_Compass_Rose.lua")
dofile(mpcd_path.."MAP/EHSD_MAP_MENU.lua")
dofile(mpcd_path.."GYRO/EHSD_GYR_MENU.lua")

-- AIRCRAFT DATA
local	aircraft_symbol				= create_mpcd_textured_box( 177, 931, 233, 1007, nil, 957)
		aircraft_symbol.name		= "aircraft_symbol"
		aircraft_symbol.init_pos	= {0, 0, 0}
		aircraft_symbol.controllers	= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_AC_ICON"}}
Add_MPCD_VIDEO_Element(aircraft_symbol)

local	ac_gt_deg					= CreateElement "ceStringPoly"
		ac_gt_deg.name				= "ac_gt_deg"
		ac_gt_deg.material			= mpcd_tpod_font
		ac_gt_deg.init_pos			= { -0.10,  0.0, 0}
		ac_gt_deg.alignment			= "RightCenter"
		ac_gt_deg.formats			= {"%03d;"}
		ac_gt_deg.stringdefs		= MPCD_large_font_size
		ac_gt_deg.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"ac_grd_trk_value"}}
Add_MPCD_VIDEO_Element(ac_gt_deg)

local	ac_gs_kts					= CreateElement "ceStringPoly"
		ac_gs_kts.name				= "ac_gs_kts"
		ac_gs_kts.material			= mpcd_tpod_font
		ac_gs_kts.init_pos			= { 0.10,  0.0, 0}
		ac_gs_kts.alignment			= "LeftCenter"
		ac_gs_kts.formats			= {"%3dKTS"}
		ac_gs_kts.stringdefs		= MPCD_large_font_size
		ac_gs_kts.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"ac_grd_spd_value"}}
Add_MPCD_VIDEO_Element(ac_gs_kts)

-- DISPLAY
local	zoom_scl_label				= CreateElement "ceStringPoly"
		zoom_scl_label.name			= "zoom_scl_label"
		zoom_scl_label.material		= mpcd_tpod_font
		zoom_scl_label.init_pos		= { -0.70,  -0.60, 0}
		zoom_scl_label.alignment	= "CenterCenter"
		zoom_scl_label.value		= "SCL"
		zoom_scl_label.stringdefs	= MPCD_large_font_size
Add_MPCD_VIDEO_Element(zoom_scl_label)

local	zoom_scl_value				= CreateElement "ceStringPoly"
		zoom_scl_value.name			= "zoom_scl_value"
		zoom_scl_value.material		= mpcd_tpod_font
		zoom_scl_value.init_pos		= { -0.70,  -0.70, 0}
		zoom_scl_value.alignment	= "CenterCenter"
		zoom_scl_value.formats		= {"%d"}
		zoom_scl_value.controllers	= {{"ehsd_scale_value"}}
		zoom_scl_value.stringdefs	= MPCD_large_font_size
Add_MPCD_VIDEO_Element(zoom_scl_value)

local	zoom_enabled				= CreateElement "ceStringPoly"
		zoom_enabled.name			= "zoom_enabled"
		zoom_enabled.material		= mpcd_tpod_font
		zoom_enabled.init_pos		= { -0.60,  -0.65, 0}
		zoom_enabled.alignment		= "LeftCenter"
		zoom_enabled.value			= "Z"
		zoom_enabled.stringdefs		= MPCD_data2_font_size
		zoom_enabled.controllers	= {{"ehsd_zoom_enabled"}}
Add_MPCD_VIDEO_Element(zoom_enabled)

